%define build_static 0

Name: xapian-core
Version: 1.0.0
Release: alt1

Summary: The Xapian Probabilistic Information Retrieval Library
License: GPL
Group: Databases

Url: http://www.xapian.org
Source: http://www.oligarchy.co.uk/xapian/%version/%name-%version.tar.gz
Packager: Michael Shigorin <mike@altlinux.org>

# Automatically added by buildreq on Thu Nov 09 2006
BuildRequires: doxygen gcc-c++ graphviz tetex-core zlib-devel

%description
Xapian is an Open Source Probabilistic Information Retrieval Library.
It offers a highly adaptable toolkit that allows developers to easily
add advanced indexing and search facilities to applications.

This is core package.

%package -n libxapian
Summary: Xapian search engine libraries
Group: System/Libraries

%description -n libxapian
Xapian is an Open Source Probabilistic Information Retrieval Library.
It offers a highly adaptable toolkit that allows developers to easily
add advanced indexing and search facilities to applications.

This package provides the libraries for applications using Xapian
functionality.

%package -n libxapian-devel
Group: Development/C++
Summary: Files needed for building packages which use Xapian
Requires: libxapian = %version

%description -n libxapian-devel
This package provides the files needed for building packages which
use Xapian library.

%if %build_static
%package -n libxapian-devel-static
Group: Development/C++
Summary: Files needed for building packages which use Xapian statically
Requires: libxapian-devel = %version

%description -n libxapian-devel-static
This package provides the files needed for building packages which
link against Xapian library statically or use XO_LIB_XAPIAN macroo
and build with libtool.
%endif

%package -n %name-doc
Group: Development/Documentation
Summary: Developer's documentation for Xapian
Obsoletes: xapian-doc < 0.9.9
Provides: xapian-doc = %version-%release

%description -n %name-doc
Xapian is an Open Source Probabilistic Information Retrieval Library.
It offers a highly adaptable toolkit that allows developers to easily
add advanced indexing and search facilities to applications.

This package contains API reference in HTML and PostScript.

%prep
%setup -q -n %name-%version

%build
#subst 's,/usr/lib/libglib-2.0.la,-lglib-2.0,' queryparser/Makefile.am
autoreconf -fisv
%configure \
%if %build_static
	--enable-static
%else
	--disable-static
%endif
%make_build

%install
# makeinstall doesn't work properly with libtool built libraries
%make DESTDIR=%buildroot install
rm -rf %buildroot%_datadir/doc/xapian-core/

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_bindir/xapian-progsrv
%_bindir/xapian-tcpsrv
%_bindir/xapian-check
%_bindir/quartzcheck
%_bindir/quartzcompact
%_bindir/quartzdump
%_bindir/quest
%_bindir/delve
%_bindir/copydatabase
%_bindir/simpleindex
%_bindir/simplesearch
%_bindir/simpleexpand
%_bindir/xapian-compact
%_man1dir/*.1*
%doc AUTHORS ChangeLog NEWS PLATFORMS README

%files -n libxapian
%_libdir/*.so.*

%files -n libxapian-devel
%_bindir/xapian-config
%_includedir/xapian
%_includedir/xapian.h
%_libdir/libxapian.so
%_datadir/aclocal/xapian.m4

%if %build_static
%files -n libxapian-devel-static
%_libdir/libxapian.a
#_libdir/libxapian.la
%endif

%files -n %name-doc
%doc docs/*.html
%doc docs/apidoc.pdf
%doc docs/apidoc/html/
%doc HACKING

%changelog
* Tue May 22 2007 Michael Shigorin <mike@altlinux.org> 1.0.0-alt1
- 1.0.0
- removed all patches
- added Packager:
- updated BuildRequires:
- added xapian-check

* Mon Mar 12 2007 Michael Shigorin <mike@altlinux.org> 0.9.10-alt1
- 0.9.10
- removed patch1

* Tue Nov 28 2006 Michael Shigorin <mike@altlinux.org> 0.9.9-alt2
- apply upstream patch referenced from 0.9.9 release notes
- apply another patch for NEAR bug (from recoll author)

* Thu Nov 09 2006 Michael Shigorin <mike@altlinux.org> 0.9.9-alt1
- 0.9.9
- renamed from xapian to xapian-core accordingly to upstream
- apidoc is now PDF instead of PS
- spec cleanup
- SMP make

* Fri Nov 03 2006 Michael Shigorin <mike@altlinux.org> 0.9.8-alt1
- 0.9.8

* Wed Oct 11 2006 Michael Shigorin <mike@altlinux.org> 0.9.7-alt1
- 0.9.7
- added xapian-progsrv

* Mon May 15 2006 Michael Shigorin <mike@altlinux.org> 0.9.6-alt1
- 0.9.6 (minor bugfixes)
  + added Ruby bindings
- added manpages

* Mon Apr 10 2006 Michael Shigorin <mike@altlinux.org> 0.9.5-alt1
- 0.9.5

* Fri Mar 10 2006 Michael Shigorin <mike@altlinux.org> 0.9.4-alt1
- 0.9.4
- removed patch1

* Mon Feb 06 2006 Michael Shigorin <mike@altlinux.org> 0.9.2-alt3
- thanks upstream developer Olly Betts <olly/survex.com> for
  checking our package and Dmitry Levin <ldv@> for libtool/xapian-config
  advice and patch
- finished implementing -devel-static subpackage, just in case;
  build disabled by default
- temporarily removed unicode query patch to check whether it was relevant
  to Cyrillic icase search with recoll

* Tue Dec 06 2005 Michael Shigorin <mike@altlinux.org> 0.9.2-alt2
- applied patch to enable unicode querying (disables stemming)
- see also recoll (qt frontend)

* Mon Dec 05 2005 Michael Shigorin <mike@altlinux.org> 0.9.2-alt1
- built for ALT Linux (recoll dependency)
- removed static libraries (anyone needing 'em adds devel-static
  and mails me a spec patch)
- moved API docs to subpackage
- spec cleanup

